#pragma once

#include <Base_Configurator.h>

namespace inaf::oasbo::Configurators {


class CLConfigurator: public BaseConfigurator {
protected:
	int argc;
	char** argv;

public:
	CLConfigurator(int argc, char** argv);

	int readConfigFromSource() override;
	int readConfigFromSource(std::string target) override;
	int pushConfigToSource() override;
	int pushConfigToSource(std::string target) override;
	int insert(std::map<std::string, std::string>, std::string target) override;
	~CLConfigurator() { }

};
}
